diff --git a/guava-tests/test/com/google/common/base/PredicatesTest.java b/guava-tests/test/com/google/common/base/PredicatesTest.java
index 8f8647f..7b04a68 100644
--- a/guava-tests/test/com/google/common/base/PredicatesTest.java
+++ b/guava-tests/test/com/google/common/base/PredicatesTest.java
@@ -19,9 +19,6 @@ package com.google.common.base;
 import static com.google.common.base.CharMatcher.whitespace;
 import static com.google.common.collect.Lists.newArrayList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.ClassSanityTester;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
@@ -42,7 +39,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class PredicatesTest extends TestCase {
   private static final Predicate<Integer> TRUE = Predicates.alwaysTrue();
   private static final Predicate<Integer> FALSE = Predicates.alwaysFalse();
@@ -105,7 +101,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testAlwaysTrue_serialization() {
     checkSerialization(Predicates.alwaysTrue());
   }
@@ -126,7 +122,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testAlwaysFalse_serialization() {
     checkSerialization(Predicates.alwaysFalse());
   }
@@ -175,7 +171,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNot_serialization() {
     checkSerialization(Predicates.not(isOdd()));
   }
@@ -198,7 +194,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testAnd_serializationNoArgs() {
     checkSerialization(Predicates.and());
@@ -221,7 +217,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testAnd_serializationOneArg() {
     checkSerialization(Predicates.and(isOdd()));
@@ -243,7 +239,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testAnd_serializationBinary() {
     checkSerialization(Predicates.and(TRUE, isOdd()));
   }
@@ -268,7 +264,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testAnd_serializationTernary() {
     checkSerialization(Predicates.and(TRUE, isOdd(), FALSE));
@@ -295,7 +291,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testAnd_serializationIterable() {
     checkSerialization(Predicates.and(Arrays.asList(TRUE, FALSE)));
@@ -351,7 +347,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testOr_serializationNoArgs() {
     checkSerialization(Predicates.or());
@@ -374,7 +370,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testOr_serializationOneArg() {
     checkSerialization(Predicates.or(isOdd()));
@@ -400,7 +396,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testOr_serializationBinary() {
     checkSerialization(Predicates.or(isOdd(), TRUE));
   }
@@ -424,7 +420,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testOr_serializationTernary() {
     checkSerialization(Predicates.or(FALSE, isOdd(), TRUE));
@@ -457,7 +453,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   @SuppressWarnings("unchecked") // varargs
   public void testOr_serializationIterable() {
     Predicate<Integer> pre = Predicates.or(Arrays.asList(TRUE, FALSE));
@@ -517,7 +513,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testIsEqualTo_serialization() {
     checkSerialization(Predicates.equalTo(1));
   }
@@ -536,7 +532,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testIsEqualToNull_serialization() {
     checkSerialization(Predicates.equalTo(null));
   }
@@ -546,7 +542,7 @@ public class PredicatesTest extends TestCase {
    * stripper to remove comments properly. Currently, all tests before the comments are removed as
    * well.
    */
-  @GwtIncompatible // Predicates.instanceOf
+  // Predicates.instanceOf
   public void testIsInstanceOf_apply() {
     Predicate<Object> isInteger = Predicates.instanceOf(Integer.class);
 
@@ -556,7 +552,7 @@ public class PredicatesTest extends TestCase {
     assertFalse(isInteger.apply(null));
   }
 
-  @GwtIncompatible // Predicates.instanceOf
+  // Predicates.instanceOf
   public void testIsInstanceOf_subclass() {
     Predicate<Object> isNumber = Predicates.instanceOf(Number.class);
 
@@ -566,7 +562,7 @@ public class PredicatesTest extends TestCase {
     assertFalse(isNumber.apply(null));
   }
 
-  @GwtIncompatible // Predicates.instanceOf
+  // Predicates.instanceOf
   public void testIsInstanceOf_interface() {
     Predicate<Object> isComparable = Predicates.instanceOf(Comparable.class);
 
@@ -576,7 +572,7 @@ public class PredicatesTest extends TestCase {
     assertFalse(isComparable.apply(null));
   }
 
-  @GwtIncompatible // Predicates.instanceOf
+  // Predicates.instanceOf
   public void testIsInstanceOf_equality() {
     new EqualsTester()
         .addEqualityGroup(
@@ -586,12 +582,12 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // Predicates.instanceOf, SerializableTester
+  // Predicates.instanceOf, SerializableTester
   public void testIsInstanceOf_serialization() {
     checkSerialization(Predicates.instanceOf(Integer.class));
   }
 
-  @GwtIncompatible // Predicates.subtypeOf
+  // Predicates.subtypeOf
   public void testSubtypeOf_apply() {
     Predicate<Class<?>> isInteger = Predicates.subtypeOf(Integer.class);
 
@@ -605,7 +601,7 @@ public class PredicatesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Predicates.subtypeOf
+  // Predicates.subtypeOf
   public void testSubtypeOf_subclass() {
     Predicate<Class<?>> isNumber = Predicates.subtypeOf(Number.class);
 
@@ -613,7 +609,7 @@ public class PredicatesTest extends TestCase {
     assertTrue(isNumber.apply(Float.class));
   }
 
-  @GwtIncompatible // Predicates.subtypeOf
+  // Predicates.subtypeOf
   public void testSubtypeOf_interface() {
     Predicate<Class<?>> isComparable = Predicates.subtypeOf(Comparable.class);
 
@@ -621,7 +617,7 @@ public class PredicatesTest extends TestCase {
     assertTrue(isComparable.apply(Float.class));
   }
 
-  @GwtIncompatible // Predicates.subtypeOf
+  // Predicates.subtypeOf
   public void testSubtypeOf_equality() {
     new EqualsTester()
         .addEqualityGroup(Predicates.subtypeOf(Integer.class))
@@ -630,7 +626,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // Predicates.subtypeOf, SerializableTester
+  // Predicates.subtypeOf, SerializableTester
   public void testSubtypeOf_serialization() {
     Predicate<Class<?>> predicate = Predicates.subtypeOf(Integer.class);
     Predicate<Class<?>> reserialized = SerializableTester.reserializeAndAssert(predicate);
@@ -657,7 +653,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testIsNull_serialization() {
     Predicate<String> pre = Predicates.isNull();
     Predicate<String> post = SerializableTester.reserializeAndAssert(pre);
@@ -678,7 +674,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNotNull_serialization() {
     checkSerialization(Predicates.notNull());
   }
@@ -709,7 +705,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testIn_serialization() {
     checkSerialization(Predicates.in(Arrays.asList(1, 2, 3, null)));
   }
@@ -757,14 +753,14 @@ public class PredicatesTest extends TestCase {
     // Predicate<Integer> p4 = Predicates.<Integer>in(nums);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Predicates.class);
   }
 
   @SuppressWarnings("unchecked") // varargs
-  @GwtIncompatible // SerializbleTester
+  // SerializbleTester
   public void testCascadingSerialization() throws Exception {
     // Eclipse says Predicate<Integer>; javac says Predicate<Object>.
     Predicate<? super Integer> nasty =
@@ -815,7 +811,7 @@ public class PredicatesTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testComposeSerialization() {
     Function<String, String> trim = TrimStringFunction.INSTANCE;
     Predicate<String> equalsFoo = Predicates.equalTo("Foo");
@@ -828,14 +824,14 @@ public class PredicatesTest extends TestCase {
    * works, so there are only trivial tests of that aspect. TODO: Fix comment style once annotation
    * stripper is fixed.
    */
-  @GwtIncompatible // Predicates.containsPattern
+  // Predicates.containsPattern
   public void testContainsPattern_apply() {
     Predicate<CharSequence> isFoobar = Predicates.containsPattern("^Fo.*o.*bar$");
     assertTrue(isFoobar.apply("Foxyzoabcbar"));
     assertFalse(isFoobar.apply("Foobarx"));
   }
 
-  @GwtIncompatible // Predicates.containsPattern
+  // Predicates.containsPattern
   public void testContains_apply() {
     Predicate<CharSequence> isFoobar = Predicates.contains(Pattern.compile("^Fo.*o.*bar$"));
 
@@ -843,7 +839,7 @@ public class PredicatesTest extends TestCase {
     assertFalse(isFoobar.apply("Foobarx"));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testContainsPattern_nulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     Predicate<CharSequence> isWooString = Predicates.containsPattern("Woo");
@@ -851,7 +847,7 @@ public class PredicatesTest extends TestCase {
     tester.testAllPublicInstanceMethods(isWooString);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testContains_nulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     Predicate<CharSequence> isWooPattern = Predicates.contains(Pattern.compile("Woo"));
@@ -859,14 +855,14 @@ public class PredicatesTest extends TestCase {
     tester.testAllPublicInstanceMethods(isWooPattern);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testContainsPattern_serialization() {
     Predicate<CharSequence> pre = Predicates.containsPattern("foo");
     Predicate<CharSequence> post = SerializableTester.reserializeAndAssert(pre);
     assertEquals(pre.apply("foo"), post.apply("foo"));
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testContains_equals() {
     new EqualsTester()
         .addEqualityGroup(
@@ -897,12 +893,12 @@ public class PredicatesTest extends TestCase {
     assertTrue(Predicates.and(p1, p2).hashCode() != Predicates.or(p1, p2).hashCode());
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Predicates.class).testNulls();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // TODO(cpovirk): ClassNotFoundException: com.google.common.base.Function
   public void testEqualsAndSerializable() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Predicates.class).testEqualsAndSerializable();
@@ -956,7 +952,7 @@ public class PredicatesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   private static void checkSerialization(Predicate<? super Integer> predicate) {
     Predicate<? super Integer> reserialized = SerializableTester.reserializeAndAssert(predicate);
     assertEvalsLike(predicate, reserialized);
diff --git a/guava-tests/test/com/google/common/base/SplitterTest.java b/guava-tests/test/com/google/common/base/SplitterTest.java
index 0c697b8..49340f6 100644
--- a/guava-tests/test/com/google/common/base/SplitterTest.java
+++ b/guava-tests/test/com/google/common/base/SplitterTest.java
@@ -16,13 +16,9 @@
 
 package com.google.common.base;
 
-import static com.google.common.collect.ImmutableList.toImmutableList;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Splitter.MapSplitter;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.testing.NullPointerTester;
 import java.util.Iterator;
 import java.util.List;
@@ -31,7 +27,6 @@ import java.util.regex.Pattern;
 import junit.framework.TestCase;
 
 /** @author Julien Silland */
-@GwtCompatible(emulated = true)
 public class SplitterTest extends TestCase {
 
   private static final Splitter COMMA_SPLITTER = Splitter.on(',');
@@ -294,42 +289,42 @@ public class SplitterTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSimpleSplit() {
     String simple = "a,b,c";
     Iterable<String> letters = Splitter.onPattern(",").split(simple);
     assertThat(letters).containsExactly("a", "b", "c").inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSimpleSplitWithNoDelimiter() {
     String simple = "a,b,c";
     Iterable<String> letters = Splitter.onPattern("foo").split(simple);
     assertThat(letters).containsExactly("a,b,c").inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSplitWithDoubleDelimiter() {
     String doubled = "a,,b,c";
     Iterable<String> letters = Splitter.onPattern(",").split(doubled);
     assertThat(letters).containsExactly("a", "", "b", "c").inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSplitWithDoubleDelimiterAndSpace() {
     String doubled = "a,, b,c";
     Iterable<String> letters = Splitter.onPattern(",").split(doubled);
     assertThat(letters).containsExactly("a", "", " b", "c").inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSplitWithTrailingDelimiter() {
     String trailing = "a,b,c,";
     Iterable<String> letters = Splitter.onPattern(",").split(trailing);
     assertThat(letters).containsExactly("a", "b", "c", "").inOrder();
   }
 
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSplitWithLeadingDelimiter() {
     String leading = ",a,b,c";
     Iterable<String> letters = Splitter.onPattern(",").split(leading);
@@ -338,7 +333,7 @@ public class SplitterTest extends TestCase {
 
   // TODO(kevinb): the name of this method suggests it might not actually be testing what it
   // intends to be testing?
-  @GwtIncompatible // Splitter.onPattern
+  // Splitter.onPattern
   public void testPatternSplitWithMultipleLetters() {
     Iterable<String> testPatterningMotto =
         Splitter.onPattern("-").split("Testing-rocks-Debugging-sucks");
@@ -347,19 +342,19 @@ public class SplitterTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   private static Pattern literalDotPattern() {
     return Pattern.compile("\\.");
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWithDoubleDelimiterOmitEmptyStrings() {
     String doubled = "a..b.c";
     Iterable<String> letters = Splitter.on(literalDotPattern()).omitEmptyStrings().split(doubled);
     assertThat(letters).containsExactly("a", "b", "c").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   @AndroidIncompatible // Bug in older versions of Android we test against, since fixed.
   public void testPatternSplitLookBehind() {
     if (!CommonPattern.isPcreLike()) {
@@ -372,7 +367,7 @@ public class SplitterTest extends TestCase {
     // splits into chunks ending in :
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   @AndroidIncompatible // Bug in older versions of Android we test against, since fixed.
   public void testPatternSplitWordBoundary() {
     String string = "foo<bar>bletch";
@@ -380,7 +375,7 @@ public class SplitterTest extends TestCase {
     assertThat(words).containsExactly("foo", "<", "bar", ">", "bletch").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWordBoundary_singleCharInput() {
     String string = "f";
     Iterable<String> words = Splitter.on(Pattern.compile("\\b")).split(string);
@@ -388,21 +383,21 @@ public class SplitterTest extends TestCase {
   }
 
   @AndroidIncompatible // Apparently Gingerbread's regex API is buggy.
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWordBoundary_singleWordInput() {
     String string = "foo";
     Iterable<String> words = Splitter.on(Pattern.compile("\\b")).split(string);
     assertThat(words).containsExactly("foo").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitEmptyToken() {
     String emptyToken = "a. .c";
     Iterable<String> letters = Splitter.on(literalDotPattern()).trimResults().split(emptyToken);
     assertThat(letters).containsExactly("a", "", "c").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitEmptyTokenOmitEmptyStrings() {
     String emptyToken = "a. .c";
     Iterable<String> letters =
@@ -410,41 +405,41 @@ public class SplitterTest extends TestCase {
     assertThat(letters).containsExactly("a", "c").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitOnOnlyDelimiter() {
     Iterable<String> blankblank = Splitter.on(literalDotPattern()).split(".");
 
     assertThat(blankblank).containsExactly("", "").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitOnOnlyDelimitersOmitEmptyStrings() {
     Iterable<String> empty = Splitter.on(literalDotPattern()).omitEmptyStrings().split("...");
     assertThat(empty).isEmpty();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitMatchingIsGreedy() {
     String longDelimiter = "a, b,   c";
     Iterable<String> letters = Splitter.on(Pattern.compile(",\\s*")).split(longDelimiter);
     assertThat(letters).containsExactly("a", "b", "c").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWithLongLeadingDelimiter() {
     String longDelimiter = ", a, b, c";
     Iterable<String> letters = Splitter.on(Pattern.compile(", ")).split(longDelimiter);
     assertThat(letters).containsExactly("", "a", "b", "c").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWithLongTrailingDelimiter() {
     String longDelimiter = "a, b, c/ ";
     Iterable<String> letters = Splitter.on(Pattern.compile("[,/]\\s")).split(longDelimiter);
     assertThat(letters).containsExactly("a", "b", "c", "").inOrder();
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitInvalidPattern() {
     try {
       Splitter.on(Pattern.compile("a*"));
@@ -453,7 +448,7 @@ public class SplitterTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testPatternSplitWithTrim() {
     String jacksons =
         "arfo(Marlon)aorf, (Michael)orfa, afro(Jackie)orfa, " + "ofar(Jemaine), aff(Tito)";
@@ -474,7 +469,7 @@ public class SplitterTest extends TestCase {
     assertIteratorIsUnmodifiable(Splitter.on(",").split("a,b").iterator());
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   public void testSplitterIterableIsUnmodifiable_pattern() {
     assertIteratorIsUnmodifiable(Splitter.on(Pattern.compile(",")).split("a,b").iterator());
   }
@@ -496,7 +491,7 @@ public class SplitterTest extends TestCase {
     assertSplitterIterableIsLazy(Splitter.on(","));
   }
 
-  @GwtIncompatible // java.util.regex.Pattern
+  // java.util.regex.Pattern
   @AndroidIncompatible // not clear that j.u.r.Matcher promises to handle mutations during use
   public void testSplitterIterableIsLazy_pattern() {
     if (!CommonPattern.isPcreLike()) {
@@ -670,7 +665,7 @@ public class SplitterTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Splitter.class);
diff --git a/guava-tests/test/com/google/common/base/StopwatchJavaTimeTest.java b/guava-tests/test/com/google/common/base/StopwatchJavaTimeTest.java
index 35fd5b1..9992107 100644
--- a/guava-tests/test/com/google/common/base/StopwatchJavaTimeTest.java
+++ b/guava-tests/test/com/google/common/base/StopwatchJavaTimeTest.java
@@ -16,13 +16,11 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.FakeTicker;
 import java.time.Duration;
 import junit.framework.TestCase;
 
 /** Unit test for the {@code java.time} support in {@link Stopwatch}. */
-@GwtIncompatible
 public class StopwatchJavaTimeTest extends TestCase {
   private final FakeTicker ticker = new FakeTicker();
   private final Stopwatch stopwatch = new Stopwatch(ticker);
diff --git a/guava-tests/test/com/google/common/base/StopwatchTest.java b/guava-tests/test/com/google/common/base/StopwatchTest.java
index b85ebb7..2c1b2de 100644
--- a/guava-tests/test/com/google/common/base/StopwatchTest.java
+++ b/guava-tests/test/com/google/common/base/StopwatchTest.java
@@ -20,7 +20,6 @@ import static java.util.concurrent.TimeUnit.MICROSECONDS;
 import static java.util.concurrent.TimeUnit.MILLISECONDS;
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.testing.FakeTicker;
 import junit.framework.TestCase;
 
@@ -29,7 +28,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class StopwatchTest extends TestCase {
 
   private final FakeTicker ticker = new FakeTicker();
diff --git a/guava-tests/test/com/google/common/base/StringsTest.java b/guava-tests/test/com/google/common/base/StringsTest.java
index ac3ad20..a2a17c5 100644
--- a/guava-tests/test/com/google/common/base/StringsTest.java
+++ b/guava-tests/test/com/google/common/base/StringsTest.java
@@ -18,8 +18,6 @@ package com.google.common.base;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import junit.framework.TestCase;
 
@@ -28,7 +26,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class StringsTest extends TestCase {
   public void testNullToEmpty() {
     assertEquals("", Strings.nullToEmpty(null));
@@ -232,7 +229,7 @@ public class StringsTest extends TestCase {
     assertEquals("(Object[])null", Strings.lenientFormat("%s", (Object[]) null));
   }
 
-  @GwtIncompatible // GWT reflection includes less data
+  // GWT reflection includes less data
   public void testLenientFormat_badArgumentToString() {
     assertThat(Strings.lenientFormat("boiler %s plate", new ThrowsOnToString()))
         .matches(
@@ -252,7 +249,7 @@ public class StringsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Strings.class);
diff --git a/guava-tests/test/com/google/common/base/SuppliersTest.java b/guava-tests/test/com/google/common/base/SuppliersTest.java
index a97fe65..8e23fb6 100644
--- a/guava-tests/test/com/google/common/base/SuppliersTest.java
+++ b/guava-tests/test/com/google/common/base/SuppliersTest.java
@@ -19,8 +19,6 @@ package com.google.common.base;
 import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Lists;
 import com.google.common.testing.ClassSanityTester;
 import com.google.common.testing.EqualsTester;
@@ -39,7 +37,6 @@ import junit.framework.TestCase;
  * @author Laurence Gonsalves
  * @author Harry Heymann
  */
-@GwtCompatible(emulated = true)
 public class SuppliersTest extends TestCase {
 
   static class CountingSupplier implements Supplier<Integer> {
@@ -126,7 +123,7 @@ public class SuppliersTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testMemoizeNonSerializable() throws Exception {
     CountingSupplier countingSupplier = new CountingSupplier();
     Supplier<Integer> memoizedSupplier = Suppliers.memoize(countingSupplier);
@@ -146,7 +143,7 @@ public class SuppliersTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testMemoizeSerializable() throws Exception {
     SerializableCountingSupplier countingSupplier = new SerializableCountingSupplier();
     Supplier<Integer> memoizedSupplier = Suppliers.memoize(countingSupplier);
@@ -213,7 +210,7 @@ public class SuppliersTest extends TestCase {
     assertEquals(Integer.valueOf(1), result.get(1));
   }
 
-  @GwtIncompatible // Thread.sleep
+  // Thread.sleep
   public void testMemoizeWithExpiration() throws InterruptedException {
     CountingSupplier countingSupplier = new CountingSupplier();
 
@@ -223,7 +220,7 @@ public class SuppliersTest extends TestCase {
     checkExpiration(countingSupplier, memoizedSupplier);
   }
 
-  @GwtIncompatible // Thread.sleep, SerializationTester
+  // Thread.sleep, SerializationTester
   public void testMemoizeWithExpirationSerialized() throws InterruptedException {
     SerializableCountingSupplier countingSupplier = new SerializableCountingSupplier();
 
@@ -240,7 +237,7 @@ public class SuppliersTest extends TestCase {
     checkExpiration(countingCopy, copy);
   }
 
-  @GwtIncompatible // Thread.sleep
+  // Thread.sleep
   private void checkExpiration(
       CountingSupplier countingSupplier, Supplier<Integer> memoizedSupplier)
       throws InterruptedException {
@@ -278,7 +275,7 @@ public class SuppliersTest extends TestCase {
     assertNull(nullSupplier.get());
   }
 
-  @GwtIncompatible // Thread
+  // Thread
 
   public void testExpiringMemoizedSupplierThreadSafe() throws Throwable {
     Function<Supplier<Boolean>, Supplier<Boolean>> memoizer =
@@ -291,7 +288,7 @@ public class SuppliersTest extends TestCase {
     testSupplierThreadSafe(memoizer);
   }
 
-  @GwtIncompatible // Thread
+  // Thread
 
   public void testMemoizedSupplierThreadSafe() throws Throwable {
     Function<Supplier<Boolean>, Supplier<Boolean>> memoizer =
@@ -304,7 +301,7 @@ public class SuppliersTest extends TestCase {
     testSupplierThreadSafe(memoizer);
   }
 
-  @GwtIncompatible // Thread
+  // Thread
   public void testSupplierThreadSafe(Function<Supplier<Boolean>, Supplier<Boolean>> memoizer)
       throws Throwable {
     final AtomicInteger count = new AtomicInteger(0);
@@ -380,7 +377,7 @@ public class SuppliersTest extends TestCase {
     assertEquals(1, count.get());
   }
 
-  @GwtIncompatible // Thread
+  // Thread
 
   public void testSynchronizedSupplierThreadSafe() throws InterruptedException {
     final Supplier<Integer> nonThreadSafe =
@@ -427,7 +424,7 @@ public class SuppliersTest extends TestCase {
     assertEquals(14, (int) supplierFunction.apply(supplier));
   }
 
-  @GwtIncompatible // SerializationTester
+  // SerializationTester
   public void testSerialization() {
     assertEquals(Integer.valueOf(5), reserialize(Suppliers.ofInstance(5)).get());
     assertEquals(
@@ -443,12 +440,12 @@ public class SuppliersTest extends TestCase {
         reserialize(Suppliers.synchronizedSupplier(Suppliers.ofInstance(5))).get());
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testSuppliersNullChecks() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Suppliers.class).testNulls();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // TODO(cpovirk): ClassNotFoundException: com.google.common.base.Function
   public void testSuppliersSerializable() throws Exception {
     new ClassSanityTester().forAllPublicStaticMethods(Suppliers.class).testSerializable();
